Package org.spongepowered.asm.mixin.transformer.ext

## Interface IExtensionRegistry

All Known Implementing Classes:
  `Extensions`

    public interface IExtensionRegistry

Interface for the mixin Extensions registry

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<IExtension>` `getActiveExtensions()` Get all active extensions
`<T extends IExtension> T` `getExtension​(java.lang.Class<? extends IExtension> extensionClass)` Get a specific extension
`java.util.List<IExtension>` `getExtensions()` Get all extensions
`ISyntheticClassRegistry` `getSyntheticClassRegistry()` Get the synthetic class registry

### Method Detail

#### getExtensions

    java.util.List<IExtension> getExtensions()

Get all extensions

#### getActiveExtensions

    java.util.List<IExtension> getActiveExtensions()

Get all active extensions

#### getExtension

    <T extends IExtension> T getExtension​(java.lang.Class<? extends IExtension> extensionClass)

Get a specific extension

Type Parameters:
  `T` - extension type
Parameters:
  `extensionClass` - extension class to look up
Returns:
  extension instance or null

#### getSyntheticClassRegistry

    ISyntheticClassRegistry getSyntheticClassRegistry()

Get the synthetic class registry